(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     27280,        707]
NotebookOptionsPosition[     26639,        684]
NotebookOutlinePosition[     27041,        701]
CellTagsIndexPosition[     26998,        698]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"pom", "=", "pom"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Remove", "[", "\"\<Global`*\>\"", "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"$HistoryLength", "=", "2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"SetDirectory", "[", 
    RowBox[{"NotebookDirectory", "[", "]"}], "]"}], ";"}], 
  "\[IndentingNewLine]", "\n"}], "\n", 
 RowBox[{
  RowBox[{"dchz1", "=", 
   RowBox[{"Sort", "[", 
    RowBox[{
     RowBox[{"(", GridBox[{
        {"23.55", "7.64", "19.4", "10.26", "15.82", "12.63", "12.52", "16.04",
          "9.13", "21.21", "7.03", "23.39", "5.26", "27.89"},
        {"2.634", "1.465", "2.373", "1.703", "2.127", "1.897", "1.877", 
         "2.152", "1.591", "2.495", "1.389", "2.627", "1.202", "2.891"}
       }], ")"}], "\[Transpose]"}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"zpracZar", "[", 
     RowBox[{"dchz1_", ",", "popis_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "trd", ",", "proud", ",", "plotzZ1", ",", "odpor", ",", "maxproud", 
        ",", "maxu", ",", "maxVykon", ",", "pl", ",", "vykon", ",", 
        "plodpor"}], "}"}], ",", 
      RowBox[{
       RowBox[{"trd", "=", 
        RowBox[{"dchz1", "/.", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"a_", ",", "b_"}], "}"}], "\[RuleDelayed]", 
          RowBox[{"{", 
           RowBox[{"b", ",", 
            FractionBox["a", "b"]}], "}"}]}]}]}], ";", 
       RowBox[{"odpor", "=", 
        RowBox[{"Fit", "[", 
         RowBox[{"trd", ",", 
          RowBox[{"{", 
           RowBox[{"1", ",", "proud"}], "}"}], ",", "proud"}], "]"}]}], ";", 
       RowBox[{
        RowBox[{"vykon", "[", "u_", "]"}], ":=", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"u", "-", 
           RowBox[{"odpor", "*", "proud"}]}], ")"}], "*", "proud"}]}], ";", 
       RowBox[{
        RowBox[{"maxproud", "[", "u_", "]"}], ":=", 
        RowBox[{"proud", "/.", 
         RowBox[{
          RowBox[{"Solve", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"vykon", "[", "u", "]"}], "\[Equal]", "0"}], ",", 
            "proud"}], "]"}], "[", 
          RowBox[{"[", 
           RowBox[{"-", "1"}], "]"}], "]"}]}]}], ";", 
       RowBox[{
        RowBox[{"maxVykon", "[", "u_", "]"}], ":=", 
        RowBox[{
         RowBox[{"FindMaximum", "[", 
          RowBox[{
           RowBox[{"vykon", "[", "u", "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"proud", ",", "0", ",", 
             RowBox[{"maxproud", "[", "u", "]"}]}], "}"}]}], "]"}], "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], ";", 
       RowBox[{
        RowBox[{"pl", "[", "u_", "]"}], ":=", 
        RowBox[{"Plot", "[", 
         RowBox[{
          RowBox[{"vykon", "[", "u", "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"proud", ",", "0", ",", 
            RowBox[{"maxproud", "[", "u", "]"}]}], "}"}], ",", 
          RowBox[{"AxesLabel", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"\"\<I (A)\>\"", ",", "\"\<P (W)\>\""}], "}"}]}], ",", 
          RowBox[{"PlotStyle", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Thickness", "[", "0.0035", "]"}], ",", 
             RowBox[{"Hue", "[", 
              FractionBox["u", 
               RowBox[{"maxu", "=", 
                RowBox[{"Max", "[", "dchz1", "]"}]}]], "]"}]}], "}"}]}], ",", 
          RowBox[{"PlotLabel", "\[Rule]", 
           RowBox[{"\"\<vykonove charaky \>\"", "<>", "popis"}]}]}], "]"}]}], 
       ";", "\[IndentingNewLine]", 
       RowBox[{"plotzZ1", "=", 
        RowBox[{"Show", "[", 
         RowBox[{
          RowBox[{"pl", "/@", 
           RowBox[{"Range", "[", 
            RowBox[{"3", ",", "27", ",", "2"}], "]"}]}], ",", 
          RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]}], ";", 
       RowBox[{"plodpor", "=", 
        RowBox[{"Plot", "[", 
         RowBox[{"odpor", ",", 
          RowBox[{"{", 
           RowBox[{"proud", ",", "0", ",", 
            RowBox[{"maxproud", "[", "maxu", "]"}]}], "}"}], ",", 
          RowBox[{"AxesLabel", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"\"\<I (A)\>\"", ",", "\"\<R (\[CapitalOmega])\>\""}], 
            "}"}]}], ",", 
          RowBox[{"PlotLabel", "\[Rule]", 
           RowBox[{"\"\<charakteristika a jeji fit \>\"", "<>", "popis"}]}]}],
          "]"}]}], ";", 
       RowBox[{"{", 
        RowBox[{"plotzZ1", ",", "maxVykon", ",", 
         RowBox[{"Show", "[", 
          RowBox[{"plodpor", ",", 
           RowBox[{"ListPlot", "[", 
            RowBox[{"trd", ",", 
             RowBox[{"PlotStyle", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"PointSize", "[", "0.015", "]"}], ",", 
                RowBox[{"Hue", "[", "0", "]"}]}], "}"}]}]}], "]"}]}], "]"}]}],
         "}"}]}]}], "]"}]}], ";"}], "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{"maxVykZ1", ":=", 
   RowBox[{
    RowBox[{"zpracZar", "[", 
     RowBox[{"dchz1", ",", "\"\< Z1\>\""}], "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"plotsZ1", "=", 
   RowBox[{
    RowBox[{"zpracZar", "[", 
     RowBox[{"dchz1", ",", "\"\< Z1\>\""}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"plotFitZ1", "=", 
   RowBox[{
    RowBox[{"zpracZar", "[", 
     RowBox[{"dchz1", ",", "\"\< Z1\>\""}], "]"}], "[", 
    RowBox[{"[", "3", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"maxVykZ1", "[", "10", "]"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"dchz2", "=", 
   RowBox[{"Sort", "[", 
    RowBox[{
     RowBox[{"(", GridBox[{
        {"4.45", "25.48", "7.28", "22.78", "9.75", "18.86", "12.11", "15.67", 
         "16", "12.26", "18.74", "9.59", "20.85", "7.3", "24.71", "4.8", 
         "27.49"},
        {"1.121", "2.729", "1.422", "2.566", "1.646", "2.317", "1.843", 
         "2.099", "2.132", "1.842", "2.317", "1.617", "2.45", "1.402", 
         "2.686", "1.137", "2.846"}
       }], ")"}], "\[Transpose]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"maxVykZ2", ":=", 
   RowBox[{
    RowBox[{"zpracZar", "[", 
     RowBox[{"dchz2", ",", "\"\< Z2\>\""}], "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"plotsZ2", "=", 
   RowBox[{
    RowBox[{"zpracZar", "[", 
     RowBox[{"dchz2", ",", "\"\< Z2\>\""}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"plotFitZ2", "=", 
   RowBox[{
    RowBox[{"zpracZar", "[", 
     RowBox[{"dchz2", ",", "\"\< Z2\>\""}], "]"}], "[", 
    RowBox[{"[", "3", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"maxVykZ2", "[", "10", "]"}], ";"}], "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{"dchz3", "=", 
   RowBox[{"Sort", "[", 
    RowBox[{
     RowBox[{"(", GridBox[{
        {"4.27", "27.86", "8.12", "24.59", "11.75", "21.29", "16.23", "17.68",
          "20.74", "14.07", "25.7", "10.88", "27.43", "5.52"},
        {"1.638", "4.39", "2.271", "4.09", "2.757", "3.78", "3.29", "3.414", 
         "3.742", "3.014", "4.21", "2.623", "4.36", "1.84"}
       }], ")"}], "\[Transpose]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"maxVykZ3", ":=", 
   RowBox[{
    RowBox[{"zpracZar", "[", 
     RowBox[{"dchz3", ",", "\"\< Z3\>\""}], "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"plotsZ3", "=", 
   RowBox[{
    RowBox[{"zpracZar", "[", 
     RowBox[{"dchz3", ",", "\"\< Z3\>\""}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"plotFitZ3", "=", 
   RowBox[{
    RowBox[{"zpracZar", "[", 
     RowBox[{"dchz3", ",", "\"\< Z2\>\""}], "]"}], "[", 
    RowBox[{"[", "3", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"maxVykZ3", "[", "30", "]"}], ";"}], "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"maxVykOdpor", ":=", 
   RowBox[{
    FractionBox[
     SuperscriptBox["#", "2"], 
     RowBox[{"4", "*", "12.7"}]], "&"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"maxVykOdpor", "[", "30", "]"}], ";"}], "\n", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"vydej", "[", 
     RowBox[{"{", 
      RowBox[{
      "maxvyk_", ",", "uz_", ",", "u1_", ",", "i1_", ",", "i2_", ",", "u2_"}],
       "}"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "pin", ",", "pout", ",", "ucinnost", ",", "mv", ",", "vykKumaxvyk", 
        ",", "prikKuvykmax"}], "}"}], ",", 
      RowBox[{
       RowBox[{"pin", "=", 
        RowBox[{"u1", "*", "i1"}]}], ";", 
       RowBox[{"pout", "=", 
        RowBox[{"u2", "*", "i2"}]}], ";", 
       RowBox[{"ucinnost", "=", 
        FractionBox["pout", "pin"]}], ";", 
       RowBox[{"mv", "=", 
        RowBox[{"maxvyk", "[", "uz", "]"}]}], ";", 
       RowBox[{"vykKumaxvyk", "=", 
        FractionBox["pout", "mv"]}], ";", 
       RowBox[{"prikKuvykmax", "=", 
        FractionBox["pout", "mv"]}], ";", 
       RowBox[{"{", 
        RowBox[{
        "uz", ",", "u1", ",", "ucinnost", ",", "mv", ",", "vykKumaxvyk", ",", 
         "prikKuvykmax", ",", "pout"}], "}"}]}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"zpracmer", "[", 
     RowBox[{"datsmer_", ",", "popis_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"ucplot", ",", "mpptplot"}], "}"}], ",", 
      RowBox[{
       RowBox[{"ucplot", "=", 
        RowBox[{"ListPlot", "[", 
         RowBox[{
          RowBox[{"datsmer", "/.", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
             "uz_Real", ",", "u1_", ",", "ucinnost_", ",", "mv_", ",", 
              "vykKumaxvyk_", ",", "prikKuvykmax_", ",", "pout_"}], "}"}], 
            "\[RuleDelayed]", 
            RowBox[{"{", 
             RowBox[{"uz", ",", 
              RowBox[{"100", "*", "ucinnost"}]}], "}"}]}]}], ",", 
          RowBox[{"PlotStyle", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"PointSize", "[", "0.015", "]"}], ",", 
             RowBox[{"Hue", "[", "0", "]"}]}], "}"}]}], ",", 
          RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", 
          RowBox[{"PlotLabel", "\[Rule]", "popis"}], ",", 
          RowBox[{"AxesLabel", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"\"\<uz (V)\>\"", ",", "\"\<\[Eta] (%)\>\""}], "}"}]}]}], 
         "]"}]}], ";", 
       RowBox[{"mpptplot", "=", 
        RowBox[{"ListPlot", "[", 
         RowBox[{
          RowBox[{"datsmer", "/.", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
             "uz_Real", ",", "u1_", ",", "ucinnost_", ",", "mv_", ",", 
              "vykKumaxvyk_", ",", "prikKuvykmax_", ",", "pout_"}], "}"}], 
            "\[RuleDelayed]", 
            RowBox[{"{", 
             RowBox[{"uz", ",", 
              RowBox[{"100", "*", "vykKumaxvyk"}]}], "}"}]}]}], ",", 
          RowBox[{"PlotStyle", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"PointSize", "[", "0.015", "]"}], ",", 
             RowBox[{"GrayLevel", "[", "0", "]"}]}], "}"}]}], ",", 
          RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", 
          RowBox[{"PlotLabel", "\[Rule]", "popis"}], ",", 
          RowBox[{"AxesLabel", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"\"\<uz (V)\>\"", ",", "\"\<\[Eta]MPPT (%)\>\""}], 
            "}"}]}]}], "]"}]}], ";", 
       RowBox[{"{", 
        RowBox[{"ucplot", ",", "mpptplot"}], "}"}]}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"mereni3", "=", 
   RowBox[{"(", GridBox[{
      {"10.44", "8.89", "0.74", "0.678", "8.65"},
      {"15.1", "11.9", "0.964", "0.918", "11.84"},
      {"20.58", "15.24", "1.208", "1.165", "15.18"},
      {"25.57", "18.08", "1.426", "1.375", "17.75"},
      {"30.48", "20.76", "1.624", "1.575", "20.38"},
      {"35.39", "23.37", "1.817", "1.774", "22.92"},
      {"40.", "25.74", "1.995", "1.954", "25.26"},
      {"45.3", "28.32", "2.19", "2.144", "27.75"}
     }], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"m3", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"Prepend", "[", 
      RowBox[{"#", ",", "maxVykZ2"}], "]"}], "&"}], "/@", "mereni3"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"datsMer3", "=", 
   RowBox[{"vydej", "/@", "m3"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"{", 
     RowBox[{"ucplotM3", ",", "mpptplotM3"}], "}"}], "=", 
    RowBox[{"zpracmer", "[", 
     RowBox[{
     "datsMer3", ",", 
      "\"\<Mereni 3, booster B predradnik Z2, zatez \
12.7\[CapitalOmega]\>\""}], "]"}]}], ";"}], "\[IndentingNewLine]", "\n", 
  "\[IndentingNewLine]"}], "\n"}], "Input",
 CellChangeTimes->{{3.536987500765625*^9, 3.53698752534375*^9}, {
   3.548999549421875*^9, 3.54899955284375*^9}, {3.551283574828125*^9, 
   3.55128358184375*^9}, {3.551286093234375*^9, 3.5512860939375*^9}, {
   3.551290744390625*^9, 3.55129074465625*^9}, 3.551362432875*^9, {
   3.551362704078125*^9, 3.551362707234375*^9}, {3.551362760046875*^9, 
   3.5513627815*^9}, {3.55136283284375*^9, 3.5513628844375*^9}, 
   3.551363235875*^9, {3.551363345734375*^9, 3.551363356734375*^9}, {
   3.551363411671875*^9, 3.5513634271875*^9}, {3.551363480921875*^9, 
   3.55136349421875*^9}, 3.551364207921875*^9, 3.551365089171875*^9, 
   3.5513651460625*^9, 3.551365176125*^9, 3.55136524890625*^9, 
   3.5513653514375*^9, 3.5513662099375*^9, 3.551367195109375*^9, 
   3.551367859828125*^9, 3.551368094828125*^9, {3.551368328890625*^9, 
   3.55136835878125*^9}, 3.551429342515625*^9, 3.5514296925*^9, {
   3.55412147365625*^9, 3.554121495859375*^9}, {3.55412155196875*^9, 
   3.554121556734375*^9}, {3.55412159325*^9, 3.554121613484375*^9}}],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"mereni4pom", "=", 
     RowBox[{"(", GridBox[{
        {"11.36", "11.26", "0.11", "0.526", "0.4"},
        {"14.6", "12.53", "0.854", "7.46", "1.208"},
        {"20.23", "15.71", "1.105", "10.78", "1.422"},
        {"25.02", "18.99", "1.293", "13.74", "1.596"},
        {"30.08", "21.89", "1.466", "16.8", "1.759"},
        {"35.05", "25.26", "1.603", "19.56", "1.907"},
        {"40.0", "27.6", "1.806", "22.49", "2.059"},
        {"44.8", "30.65", "1.942", "25.25", "2.191"},
        {"49.1", "33.12", "2.064", "27.69", "2.298"},
        {"47.5", "20.76", "2.764", "16.51", "3.224"},
        {"43.7", "18.75", "2.649", "15.08", "3.065"},
        {"38.9", "17.04", "2.47", "13.52", "2.886"},
        {"31.37", "14.6", "2.123", "11.5", "2.494"},
        {"25.43", "12.73", "1.851", "9.11", "2.327"},
        {"20.62", "11.0", "1.6", "7.46", "2.090"},
        {"15.69", "8.49", "1.378", "5.64", "1.805"},
        {"10.73", "6.93", "0.992", "3.2", "1.293"}
       }], ")"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"mereni4", "=", 
     RowBox[{"mereni4pom", "/.", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"uz_Real", ",", "u1_", ",", "i1_", ",", "u2_", ",", "i2_"}], 
        "}"}], "\[RuleDelayed]", 
       RowBox[{"{", 
        RowBox[{"uz", ",", "u1", ",", "i1", ",", 
         RowBox[{"0.997", "i2"}], ",", "u2"}], "}"}]}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"m4", "=", 
     RowBox[{
      RowBox[{
       RowBox[{"Prepend", "[", 
        RowBox[{"#", ",", "maxVykZ2"}], "]"}], "&"}], "/@", "mereni4"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"datsMer4", "=", 
     RowBox[{"vydej", "/@", "m4"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"ucplotM4", ",", "mpptplotM4"}], "}"}], "=", 
     RowBox[{"zpracmer", "[", 
      RowBox[{
      "datsMer4", ",", 
       "\"\<Booster 4 predradnik Z2, zatez z1, z1+z13\[CapitalOmega]\>\""}], 
      "]"}]}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"mereni5pom", "=", 
     RowBox[{"(", GridBox[{
        {"10.7", "8.58", ".811", "5.55", "1.057"},
        {"15.2", "10.9", "1.085", "8.39", "1.251"},
        {"20.71", "14.99", "1.236", "11.38", "1.457"},
        {"25.05", "16.38", "1.52", "14.12", "1.618"},
        {"30.32", "19.91", "1.667", "17.2", "1.789"},
        {"35.0", "23.0", "1.791", "19.89", "1.93"},
        {"39.9", "24.36", "2.036", "22.79", "2.071"},
        {"45.0", "28.1", "2.151", "25.79", "2.207"},
        {"43.3", "15.1", "2.844", "13.81", "2.912"},
        {"36.4", "12.74", "2.581", "11.59", "2.649"},
        {"30.38", "11.27", "2.293", "9.86", "2.428"},
        {"25.07", "9.36", "2.066", "8.13", "2.177"},
        {"20.03", "7.99", "1.797", "6.62", "1.956"},
        {"15.2", "6.7", "1.475", "4.81", "1.657"},
        {"10.86", "7.2", "0.971", "2.284", "1.071"}
       }], ")"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"mereni5", "=", 
     RowBox[{"mereni5pom", "/.", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"uz_Real", ",", "u1_", ",", "i1_", ",", "u2_", ",", "i2_"}], 
        "}"}], "\[RuleDelayed]", 
       RowBox[{"{", 
        RowBox[{"uz", ",", "u1", ",", "i1", ",", 
         RowBox[{"0.997", "i2"}], ",", "u2"}], "}"}]}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"m5", "=", 
     RowBox[{
      RowBox[{
       RowBox[{"Prepend", "[", 
        RowBox[{"#", ",", "maxVykZ2"}], "]"}], "&"}], "/@", "mereni5"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"datsMer5", "=", 
     RowBox[{"vydej", "/@", "m5"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"ucplotM5", ",", "mpptplotM5"}], "}"}], "=", 
     RowBox[{"zpracmer", "[", 
      RowBox[{
      "datsMer5", ",", 
       "\"\<Booster 5 predradnik Z2, zatez z1, z1+z13\[CapitalOmega]\>\""}], 
      "]"}]}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"mereni6pom", "=", 
     RowBox[{"(", GridBox[{
        {"10.57", "6.61", "1.044", "5.29", "1.042"},
        {"15.14", "9.36", "1.245", "7.95", "1.242"},
        {"20.2", "12.41", "1.442", "10.91", "1.439"},
        {"25.12", "15.41", "1.618", "13.83", "1.616"},
        {"30.27", "18.49", "1.783", "16.84", "1.784"},
        {"35.07", "21.35", "1.93", "19.65", "1.931"},
        {"40.0", "24.32", "2.075", "22.58", "2.076"},
        {"45.1", "27.38", "2.213", "25.67", "2.207"},
        {"50.2", "30.62", "2.335", "28.78", "2.333"},
        {"39.1", "13.78", "2.681", "11.87", "2.684"},
        {"35.38", "12.54", "2.528", "10.68", "2.531"},
        {"30.61", "10.99", "2.329", "9.19", "2.331"},
        {"25.26", "9.25", "2.089", "7.51", "2.093"},
        {"20.26", "7.58", "1.846", "5.93", "1.848"},
        {"15.42", "5.93", "1.585", "4.37", "1.587"},
        {"10.65", "4.27", "1.295", "2.847", "1.296"}
       }], ")"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"mereni6", "=", 
     RowBox[{"mereni6pom", "/.", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"uz_Real", ",", "u1_", ",", "i1_", ",", "u2_", ",", "i2_"}], 
        "}"}], "\[RuleDelayed]", 
       RowBox[{"{", 
        RowBox[{"uz", ",", "u1", ",", "i1", ",", 
         RowBox[{"0.997", "i2"}], ",", "u2"}], "}"}]}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"m6", "=", 
     RowBox[{
      RowBox[{
       RowBox[{"Prepend", "[", 
        RowBox[{"#", ",", "maxVykZ2"}], "]"}], "&"}], "/@", "mereni6"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"datsMer6", "=", 
     RowBox[{"vydej", "/@", "m6"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"ucplotM6", ",", "mpptplotM6"}], "}"}], "=", 
     RowBox[{"zpracmer", "[", 
      RowBox[{
      "datsMer6", ",", 
       "\"\<Booster 2 predradnik Z2, zatez z1, z1+z13\[CapitalOmega]\>\""}], 
      "]"}]}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.55412192221875*^9, 3.554121939625*^9}, {
   3.554121979515625*^9, 3.5541220091875*^9}, {3.554122042828125*^9, 
   3.5541224975*^9}, {3.554122532234375*^9, 3.5541226885*^9}, 
   3.5541228060625*^9, {3.554122838109375*^9, 3.554122862125*^9}, {
   3.554122953453125*^9, 3.554123405171875*^9}, {3.55412348284375*^9, 
   3.554123519515625*^9}, 3.554123577546875*^9, {3.55412363228125*^9, 
   3.55412363275*^9}, {3.554123709796875*^9, 3.554124141671875*^9}, {
   3.55412421221875*^9, 3.55412421721875*^9}, {3.554124260578125*^9, 
   3.55412430328125*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"dati", "=", 
   RowBox[{"mereni6pom", "/.", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"uz_Real", ",", "u1_", ",", "i1_", ",", "u2_", ",", "i2_"}], 
      "}"}], "\[RuleDelayed]", 
     FractionBox[
      RowBox[{"0.997", "i2"}], "i1"]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{
   "\"\<max\!\(\*FractionBox[\(\(i2\)\(\\\ \)\), \(i1\)]\)= \>\"", ",", 
    RowBox[{"Max", "[", "dati", "]"}], ",", 
    "\"\<   min\!\(\*FractionBox[\(\(i2\)\(\\\ \)\), \(i1\)]\)= \>\"", ",", 
    RowBox[{"Min", "[", "dati", "]"}]}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"datu", "=", 
   RowBox[{"mereni6pom", "/.", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"uz_Real", ",", "u1_", ",", "i1_", ",", "u2_", ",", "i2_"}], 
      "}"}], "\[RuleDelayed]", 
     RowBox[{"u1", "-", "u2"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<max(u1-u2)= \>\"", ",", 
    RowBox[{"Max", "[", "datu", "]"}], ",", "\"\<  (V)   min(u1-u2)= \>\"", 
    ",", 
    RowBox[{"Min", "[", "datu", "]"}], ",", "\"\<  (V)\>\""}], "]"}], 
  ";"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.554124146890625*^9, 3.55412420209375*^9}, 
   3.554124316671875*^9, {3.55412440253125*^9, 3.554124628296875*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"var", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"ucplotM6", ",", "mpptplotM6"}], "}"}], "[", 
   RowBox[{"[", "var", "]"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"ucplotM5", ",", "mpptplotM5"}], "}"}], "[", 
   RowBox[{"[", "var", "]"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"ucplotM4", ",", "mpptplotM4"}], "}"}], "[", 
   RowBox[{"[", "var", "]"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"ucplotM3", ",", "mpptplotM3"}], "}"}], "[", 
   RowBox[{"[", "var", "]"}], "]"}], ";"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.551363375125*^9, 3.551363375609375*^9}, {
   3.551363506109375*^9, 3.55136350671875*^9}, {3.551364022609375*^9, 
   3.55136402975*^9}, {3.551364073390625*^9, 3.5513640785*^9}, {
   3.551364110421875*^9, 3.55136419046875*^9}, {3.551364518*^9, 
   3.551364557453125*^9}, {3.551364956609375*^9, 3.5513649625*^9}, {
   3.55136573584375*^9, 3.551365794609375*^9}, {3.551366123265625*^9, 
   3.5513661259375*^9}, {3.551366188453125*^9, 3.551366197515625*^9}, {
   3.55136716009375*^9, 3.551367186703125*^9}, {3.551367480515625*^9, 
   3.55136752921875*^9}, {3.55142926428125*^9, 3.55142926915625*^9}, {
   3.55142932534375*^9, 3.5514293458125*^9}, {3.55142966225*^9, 
   3.551429688796875*^9}, {3.55412162165625*^9, 3.554121625140625*^9}, {
   3.554121725203125*^9, 3.554121743515625*^9}, 3.55412188796875*^9, 
   3.554121972640625*^9, {3.554122701421875*^9, 3.554122719328125*^9}, 
   3.554122898296875*^9, 3.55412294234375*^9, {3.5541234165*^9, 
   3.55412344096875*^9}, {3.55412359440625*^9, 3.554123616828125*^9}, {
   3.55412434096875*^9, 3.5541243745*^9}, 3.554124525390625*^9}],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"ClearAll", "[", "exp", "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"SetAttributes", "[", 
     RowBox[{"exp", ",", 
      RowBox[{"{", 
       RowBox[{"HoldAll", ",", "Listable"}], "}"}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"exp", "[", "co_", "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"a", ",", "graf"}], "}"}], ",", 
       RowBox[{
        RowBox[{"a", "=", 
         RowBox[{"ToString", "[", 
          RowBox[{"Unevaluated", "[", "co", "]"}], "]"}]}], ";", 
        RowBox[{"graf", ":=", 
         RowBox[{"Evaluate", "[", "co", "]"}]}], ";", 
        RowBox[{"Export", "[", 
         RowBox[{
          RowBox[{"Evaluate", "[", 
           RowBox[{"a", "<>", "\"\<.png\>\""}], "]"}], ",", "graf", ",", 
          RowBox[{"ImageResolution", "\[Rule]", "300"}]}], "]"}]}]}], "]"}]}],
     ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"exp", "[", 
     RowBox[{"{", 
      RowBox[{
      "ucplotM6", ",", "mpptplotM6", ",", "ucplotM5", ",", "mpptplotM5", ",", 
       "ucplotM4", ",", "mpptplotM4", ",", "ucplotM3", ",", "mpptplotM3"}], 
      "}"}], "]"}], "*)"}]}]}]], "Input",
 CellChangeTimes->{{3.551367986640625*^9, 3.551367986859375*^9}, {
   3.55136810103125*^9, 3.551368101765625*^9}, 3.55136814053125*^9, 
   3.55142881521875*^9, {3.5514297023125*^9, 3.55142975959375*^9}, {
   3.551429804359375*^9, 3.551429840796875*^9}, {3.55412466646875*^9, 
   3.554124697921875*^9}}],

Cell[BoxData["dchz1"], "Input"],

Cell[BoxData[
 RowBox[{"Export", "[", 
  RowBox[{"\"\<dchz1.csv\>\"", ",", "dchz1"}], "]"}]], "Input",
 CellChangeTimes->{{3.690860277296875*^9, 3.690860310765625*^9}}],

Cell[BoxData[
 RowBox[{"Export", "[", 
  RowBox[{"\"\<dchz2.csv\>\"", ",", "dchz2"}], "]"}]], "Input",
 CellChangeTimes->{{3.69086033165625*^9, 3.6908603345*^9}}],

Cell[BoxData[
 RowBox[{"Export", "[", 
  RowBox[{"\"\<dchz3.csv\>\"", ",", "dchz3"}], "]"}]], "Input",
 CellChangeTimes->{{3.690860344765625*^9, 3.69086034903125*^9}}]
},
WindowSize->{1181, 743},
WindowMargins->{{-2, Automatic}, {Automatic, 5}},
ShowSelection->True,
Magnification->1.3000000715255737`,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 14149, 364, 1951, "Input"],
Cell[14697, 386, 6616, 161, 1364, "Input"],
Cell[21316, 549, 1322, 33, 170, "Input"],
Cell[22641, 584, 1851, 38, 153, "Input"],
Cell[24495, 624, 1600, 41, 153, "Input"],
Cell[26098, 667, 31, 0, 37, "Input"],
Cell[26132, 669, 168, 3, 37, "Input"],
Cell[26303, 674, 162, 3, 37, "Input"],
Cell[26468, 679, 167, 3, 37, "Input"]
}
]
*)

(* End of internal cache information *)
